Subject: bug#35624: log-view-diff regression

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 May 2019 17:24:29 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 12 May 2019 22:15:20 +0300
> 
> > I asked a detailed question, but your answer doesn't make me wiser
> > about what "e" means.  Could you please humor me with a more detailed
> > answer?
> 
> Let me describe how log-view-diff was supposed to work since its introduction
> ~20 years ago until its behavior was changed accidentally one and half year ago:
> when the user puts the beginning of the region on the line with one revision,
> and the end of the region on the line with another revision, the function
> 'log-view-diff-common' extracts the 'from' revision from the line
> with the first revision, and the 'to' revision from the line
> with the second revision.

Then the fix in bug#28466 makes no sense, because it treats the case
when the region ends on the last revision specially.

But I feel that I've exhausted my grace in trying to make sense out of
this, so I will now shut up.

> bug#28466 tried to improve the logic when the end of the region is
> at the end of the buffer

Treating EOB specially makes no sense to me, FWIW.